#
# spec file for package perl-Gtk2-WebKit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gtk2-WebKit
Version:        0.09
Release:        6.8
Summary:        Web content engine library for Gtk2
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gtk2-WebKit
Source:         http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Gtk2-WebKit-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libwebkit-devel
#BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Gtk2::CodeGen)
BuildRequires:  perl(Module::Install)
Requires:       perl(Gtk2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser. It is made to be embedded in
other applications, such as mail readers, or web browsers.
It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
For more information about WebKit visit
<http://webkit.org/>
<http://live.gnome.org/WebKit>

%prep
%setup -q -n "Gtk2-WebKit-%{version}"
sed -i '/^auto_install/d' Makefile.PL

%build
perl Makefile.PL PREFIX="%{_prefix}"
make %{?_smp_mflags}

%install
%perl_make_install

rm -rf "%{buildroot}%{perl_vendorarch}/Gtk2/WebKit/Install"

%perl_process_packlist

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorarch}/Gtk2
%doc %{perl_vendorarch}/Gtk2/WebKit.pod
%{perl_vendorarch}/Gtk2/WebKit.pm
%{perl_vendorarch}/Gtk2/WebKit
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/WebKit
%doc %{perl_man3dir}/Gtk2::WebKit.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Gtk2::WebKit::*.%{perl_man3ext}%{ext_man}

%changelog
* Mon Oct  9 2017 olaf@aepfle.de
- Require Module::Install for perl 5.26
* Thu Jan 19 2017 aloisio@gmx.com
- Update to version 0.09
- Spec cleanup
* Tue Mar 15 2011 pascal.bleser@opensuse.org
- initial version (0.08)
